
%define module   Petal
%define version    2.19
%define release    %mkrel 10

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl Template Attribute Language
URL:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module//%{module}-%{version}.tar.gz
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(MKDoc::XML)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(CGI)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
examples deal with using Petal to generate HTML files from HTML templates.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%exclude %{_mandir}/man3/*
%perl_vendorlib/Petal.pm
%perl_vendorlib/Petal



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

